# Step-by-Step Linear Regression

This Python package is designed to assist students learning **simple**, **multiple**, and **logistic regression** by breaking down every calculation step.  
It is especially helpful when solving exam-style problems, where it's easy to make minor arithmetic errors that derail understanding.  
Instead of spending excessive time on mechanical computation, you can use this tool to verify intermediate steps, identify mistakes quickly, and focus more on understanding the underlying formulas and concepts.

## Features
- `.fit(X, y)` — fits the model
- `.summary()` — prints slope, intercept, SSR, SSE, MSE, etc.
- `.steps_df` — prints an annotated `DataFrame` showing internal computation steps

## Installation

You can install the package from PyPI:

```bash
pip install StepByStepLinearRegression
```

## Usage
It is recommended to run this package in .ipynb (Jupyter Notebook) format for best interactivity and readability of computation steps.
Check [`test.ipynb`](https://github.com/mellamochiao/StepByStepLinearRegression/blob/main/test.ipynb) to see how to use this package in practice.

## Author
Created by [Mellamochiao](https://github.com/mellamochiao).  
